When we upgrade CA1 to 14.0 should we run an IPL ?

Document ID : KB000015604
Last Modified Date : 14/02/2018
Show Technical Document Details
Question:

What about the IPL when we upgrade CA1 to 14.0 release ?

Answer:

 

 

If you are running CA 1® Tape Management System release oldest than 12.6, an IPL is required to implement release 14.0.

 

  • Note: If you have installed any of the CA 1® Tape Management System z/OS usermods from a previous release, they can continue to be used until the next scheduled IPL. With the IPL, we recommend that you put in the 14.0 usermods. The usermods include the failsafe usermod, CBRXUENT, CBRUXEJC, CBRUXVNL, and IGXMSGEX.

    If you perform an IPL and bring 14.0 active, an IPL is required to go back to previous version. The CA 1® Tape Management System load library must be APF authorized and added to the system linklist.CA 1® Tape Management System initialization requires CAIRIM processing and TMSINIT processing. CAIRIM initialization processing for CA 1® Tape Management System must complete successfully before TMSINIT startup.
    Initialize CA 1® Tape Management System using the TMSINIT PROC. The TMSINIT PROC executes TMSINIT to initialize CA 1® Tape Management System resident modules and tables, and to activate the message intercept. A report is produced showing the CA 1® Tape Management System system specifications and detailing any errors found. Before you execute production tape jobs, examine the output thoroughly.

  • Do not use TMS as the started task name for TMSINIT because the subsystem name for CA 1® Tape Management System release 14.0 is TMS.

 

 

 

If you are running CA 1® Tape Management System release 12.6, we can upgrade CA1 dynamically without IPL following these steps:

  1. Back up the TMC and Audit data sets using your currently installed version of TMSCOPY.
  2. Stop CTS if active.
  3. Back up the 12.6 load library.

    Note: Backing up is needed when you have to remove 14.0 dynamically. A new load library is created during the installation of 14.0.
  4. Empty the 12.6 library. Copy the entire contents of the 14.0 library into the current 12.6 link-listed library and issue a "F LLA,REFRESH" command. If you have a Dynamic LNKLST environment, a safer alternative method would be to simply add the new 14.0 library ahead of the existing 12.6 library in the LNKLST concatenation and issue a "F LLA,REFRESH" command.
  5. Load 14.0 dynamically by executing the CAS9 procedure with the following control statements for CA 1 in CARIMPRM:

    PRODUCT(CA 1/MVS) VERSION(L0E0) INIT(L0E0INIT) -
    PARM(REINIT,LPA=ALL,SVC=xxx,SMF=YES) -
    LOADLIB(hlq.ca1.r14.CTAPLINK)

     

    PRODUCT(CA 1/MVS) VERSION(L0E0) INIT(L0E0INIT) -
    PARM(REINIT,OSI=REINIT) -
    LOADLIB(hlq.ca1.r14.CTAPLINK)

    Note: For a future IPL, insert the 14.0 load library in place of the 12.6 load library in the linklist concatenation.
  6. Using the 14.0 options library, start the 14.0 TMSINIT to activate CA 1. The existing 12.6 options library can also be used with the 14.0 version of TMSINIT if you do not want to change all your option settings in the 14.0 options library.

  7. Start CTS if previously active.

  8. Change your TSO CLIST for CA 1 or LOGON PROC to point to the correct 14.0 libraries for hlq.CTAPMENU, hlq.CTAPPENU, hlq.CTAPTENU and hlq.CTAPEXEC. 

    If your ISPF libraries are not product/release specific, copy the contents from the 14.0 libraries into the appropriate active ISPF Panel, Menu, Table and Clist libraries.

  9. If you are using the CA 1 ISPF interface, log out from TSO completely and then log back on again.

 

Before dynamically upgrading from CA 1 12.6 to CA 1 14.0, you need to insure that PTF RO93392 is applied to your 14.0 system. This PTF only applies to dynamic upgrades, so if the upgrade is done with an IPL this PTF is not necessary.